import 'package:flutter/cupertino.dart';
import 'package:nui_core/ui/component/listview/nui_list_models.dart';

class ListResult<T, C>{
  ListResult({@required this.data, @required this.success, this.message, this.cursor, this.errorCode, this.updateCheckedMap, this.updateConfigMap});
  List<T> data;
  C cursor;
  bool success;
  String message;
  String errorCode;
  final UpdateListMap updateCheckedMap;
  final UpdateListMap updateConfigMap;
}